Bug 86637 - LOCALHELP: write help page for Calc OpenCL implementation
Summary: LOCALHELP: write help page for Calc OpenCL implementation
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2014-11-23 21:18 UTC by Olivier Hallot
Modified: 2017-03-01 11:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2014-11-23 21:18:26 UTC
There is need of a help page with many details on the OpenCL advantages, issues and restrictions.

The current dialog has many strings that should be moved and rewritten for a clear understanding.

Calc -> Options -> LibreOffice Calc -> Formula -> OpenCL (Details)
Comment 1 Robinson Tryon (qubit) 2014-11-23 23:52:45 UTC
(In reply to Olivier Hallot from comment #0)
> There is need of a help page with many details on the OpenCL advantages,
> issues and restrictions.

I get no hits for 'OpenCL' when I search the Help Wiki:
https://help.libreoffice.org/index.php?title=Special%3ASearch&profile=default&search=OpenCL&fulltext=Search

> The current dialog has many strings that should be moved and rewritten for a
> clear understanding.
> 
> Calc -> Options -> LibreOffice Calc -> Formula -> OpenCL (Details)

I used a slightly different path:
1) Open Calc
2) Tools -> Options -> LibreOffice Calc -> Formula -> Detailed Calculation Settings -> Custom (Use OpenCL, ...)
3) Click the 'Details' button

I guess the strings in this dialog could be improved. We definitely could use something in the Wiki Help about OpenCL.

Marking as enhancement.
Status -> NEW
Comment 2 Olivier Hallot 2015-07-25 10:20:40 UTC
Added an entry page for OpenCL in

Tools - Option - LibreOffice - OpenCL

Waiting for more contents in the help page.

https://gerrit.libreoffice.org/gitweb?p=help.git;a=commit;h=81aa73450c3acab47cbe939f19423597245d36d7
Comment 3 Xisco Faulí 2016-09-15 22:12:39 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 4 Olivier Hallot 2017-03-01 11:53:18 UTC
Contents still to be produced. Not to be closed